Skip to content
POST/{organizationId}/{mandateId}/finance/accounts/creditors

Create creditor

Creates a new creditor for the given mandate

Required permissions:

  • mandate.read

  • creditor.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

typestringrequired

Options:

businessperson
namestringrequired

minLength: 1

maxLength: 81

ObjectId as string

detailsstringoptional

Default: ""

maxLength: 255

supplierNumberstringoptional
paymentMethodTypestring | nulloptional

Default: null

Options:

cashcreditTransfer

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounts/creditors
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/creditors' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "type": "business",
  "name": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

accountintegerrequired

minimum: 1

maximum: 999999999

Response

200
{
  "_id": "000000000000000000000001",
  "account": 1
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}